<?xml version="1.0" encoding="utf-8"?>
<android.support.constraint.ConstraintLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    android:layout_width="match_parent"
    android:layout_height="match_parent">

    <Button
        android:id="@+id/top_button"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"

        android:layout_marginBottom="120dp"
        android:layout_marginLeft="33dp"
        android:layout_marginStart="33dp"
        android:text="うえ"
        app:layout_constraintBottom_toBottomOf="parent"
        app:layout_constraintStart_toStartOf="@+id/left_button" />

    <TextView
        android:id="@+id/textView2"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:layout_marginEnd="8dp"
        android:layout_marginLeft="8dp"
        android:layout_marginRight="8dp"
        android:layout_marginStart="8dp"
        android:layout_marginTop="68dp"
        android:text="Cactus"
        android:textColor="@android:color/background_light"
        android:textSize="30sp"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toTopOf="parent" />

    <Button
        android:id="@+id/down_button"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"

        android:layout_marginLeft="42dp"
        android:layout_marginStart="42dp"
        android:text="した"
        app:layout_constraintStart_toStartOf="@+id/left_button"
        app:layout_constraintTop_toBottomOf="@+id/left_button" />

    <Button
        android:id="@+id/left_button"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"

        android:layout_marginLeft="28dp"
        android:layout_marginStart="28dp"
        android:text="ひだり"
        app:layout_constraintBaseline_toBaselineOf="@+id/right_button"
        app:layout_constraintStart_toStartOf="parent" />

    <Button
        android:id="@+id/right_button"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"

        android:text="みぎ"
        app:layout_constraintStart_toEndOf="@+id/left_button"
        app:layout_constraintTop_toBottomOf="@+id/top_button" />

</android.support.constraint.ConstraintLayout>
